# snd_tplg_channel_elem Struct Reference
[Topology Interface]

## Data Fields

int | size
int | reg
int | shift
int | id

## Field Documentation

int snd_tplg_channel_elem::id

ID maps to Left, Right, LFE etc

int snd_tplg_channel_elem::reg

channel control register

int snd_tplg_channel_elem::shift

channel shift for control bits

int snd_tplg_channel_elem::size

size in bytes of this structure

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/topology.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines